Page MenuHomePhabricator

[EPIC] Move VisualEditor code from MobileFrontend to VisualEditor
Open, LowPublic40 Story Points

Description

The following should be moved from MobileFrontend to VisualEditor:

  • javascripts/modules/editor/VisualEditorOverlay.js
  • tests/browsers/features/editor_ve.feature

This is harder than it seems on the surface but let's aim to do this and in the process hopefully rewrite a lot of our infrastructure in oojs ui.

The benefits of this include

  • more stable browser tests that the VisualEditor team will be able to keep an eye on that don't hide false positives in our own product.
  • smaller extension for third parties who don't use VE
  • less bugs in VisualEditor tablet software due to our code clashing with VE code.
  • no tests filed against the mobile web backlog which would lead to a cleaner Phabricator board
  • research through doing about how mobile can use oojs ui and identify the problems we need to solve to do that.

To do this I would suggest the following steps (which may need fleshing out and may uncover additional work/spikes)

  • rewrite the header of VisualEditorOverlay as oojs ui components
  • rewrite the edit summary pane as a Oojs ui component
  • rewrite VisualEditorOverlay as a oo.ui.ProcessDialog
  • Move all VisualEditor code to VisualEditor extension - browser tests, js, css, RL modules

Related Objects

StatusAssignedTask
ResolvedDannyH
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenJdlrobson
OpenNone
OpenNone
DeclinedNone
DuplicateNone
Openmarcella
ResolvedJdlrobson
DeclinedNone
ResolvedEsanders
ResolvedEsanders
Resolvedmatmarex
Resolvedmatmarex
Resolvedovasileva
ResolvedABorbaWMF
ResolvedNone

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Jdlrobson raised the priority of this task from to Needs Triage.Apr 15 2015, 8:57 PM
Jdlrobson added a project: Readers-Web-Backlog.
Jdlrobson moved this task to Triaged but Future on the Readers-Web-Backlog board.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 15 2015, 8:57 PM
Jdforrester-WMF triaged this task as Normal priority.Apr 29 2015, 6:48 PM
Jdlrobson renamed this task from Move VisualEditor code from MobileFrontend to VisualEditor to [EPIC] Move VisualEditor code from MobileFrontend to VisualEditor.May 26 2015, 8:58 AM
Jdlrobson moved this task from Triaged but Future to 2015-16 Q2 on the Readers-Web-Backlog board.
Tgr added a project: Epic.Jun 4 2015, 10:41 PM
Tgr added a subscriber: Tgr.
Jdforrester-WMF renamed this task from [EPIC] Move VisualEditor code from MobileFrontend to VisualEditor to Move VisualEditor code from MobileFrontend to VisualEditor.Jun 18 2015, 10:28 PM
Jdforrester-WMF edited projects, added Tracking-Neverending; removed Epic.
Jdforrester-WMF edited a custom field.

Change 227699 had a related patch set uploaded (by Jforrester):
[BREAKING CHANGE] Bring in some code from MobileFrontend

https://gerrit.wikimedia.org/r/227699

Change 227699 merged by jenkins-bot:
[BREAKING CHANGE] Bring in some code from MobileFrontend

https://gerrit.wikimedia.org/r/227699

Change 227974 had a related patch set uploaded (by Esanders):
Move more code to VE

https://gerrit.wikimedia.org/r/227974

Change 227973 had a related patch set uploaded (by Esanders):
Bring in code from MobileFrontend

https://gerrit.wikimedia.org/r/227973

Change 227973 merged by jenkins-bot:
Bring in code from MobileFrontend

https://gerrit.wikimedia.org/r/227973

Change 227974 merged by jenkins-bot:
Move more code to VE

https://gerrit.wikimedia.org/r/227974

Jdforrester-WMF edited a custom field.Aug 3 2015, 1:56 AM

Change 229124 had a related patch set uploaded (by Esanders):
Create a MF target and move code into method overrides

https://gerrit.wikimedia.org/r/229124

Jdlrobson renamed this task from Move VisualEditor code from MobileFrontend to VisualEditor to [EPIC] Move VisualEditor code from MobileFrontend to VisualEditor.Aug 4 2015, 6:51 PM

Change 229124 merged by jenkins-bot:
VisualEditor: Create a MF target and move code into method overrides

https://gerrit.wikimedia.org/r/229124

Change 229576 had a related patch set uploaded (by Esanders):
[BREAKING CHANGE] Use save dialog in mobile

https://gerrit.wikimedia.org/r/229576

Change 229578 had a related patch set uploaded (by Esanders):
Delete save process code in favour of VE's own save dialog

https://gerrit.wikimedia.org/r/229578

Change 229576 merged by jenkins-bot:
[BREAKING CHANGE] Use save dialog in mobile

https://gerrit.wikimedia.org/r/229576

Change 229578 merged by jenkins-bot:
Delete save process code in favour of VE's own save dialog

https://gerrit.wikimedia.org/r/229578

Jay8g added a subscriber: Jay8g.Aug 12 2015, 11:30 PM
Jdforrester-WMF removed Esanders as the assignee of this task.Nov 19 2015, 7:00 PM
Danny_B moved this task from Unsorted to Move on the Technical-Debt board.Jan 23 2016, 12:18 AM
Jdlrobson moved this task from Backlog to Tracking on the MobileFrontend board.Nov 14 2016, 11:57 AM
Deskana lowered the priority of this task from Normal to Low.Aug 31 2018, 10:32 AM
Deskana moved this task from Epics to Freezer on the VisualEditor board.
JTannerWMF moved this task from Planned Maintenance to Research on the VisualEditor board.
JTannerWMF moved this task from Research to Planned Maintenance on the VisualEditor board.